> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1smsroutingroutessmpp connectionstest



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/sms/routing/routes/smpp-connections/test
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/routing/routes/smpp-connections/test:
    post:
      tags:
        - SmsRoutingSmppConnections
      operationId: sms.routing.routes.smpp-connections.test
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                username:
                  type: string
                password:
                  type: string
                port:
                  type: integer
                dlr_url:
                  type:
                    - string
                    - 'null'
                dlr_port:
                  type:
                    - integer
                    - 'null'
                workers_count:
                  type:
                    - integer
                    - 'null'
                  minimum: 1
                  maximum: 10
                workers_delay:
                  type:
                    - number
                    - 'null'
                system_type:
                  type:
                    - string
                    - 'null'
              required:
                - url
                - username
                - password
                - port
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      success:
                        type: boolean
                    required:
                      - success
                  - type: object
                    properties:
                      success:
                        type: string
                    required:
                      - success
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````